Bug 585694 - [abrt] crash in gwibber-1:2.29.92.1-1.fc12: client.py:310:on_search:AttributeError: 'MultiStreamUi' object has no attribute 'search_box'
[abrt] crash in gwibber-1:2.29.92.1-1.fc12: client.py:310:on_search:Attribute...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gwibber (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:2ab65f5a
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-25 12:37 EDT by mathdabomb
Modified: 2010-08-19 22:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: gwibber-2.31.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 21:56:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (493 bytes, text/plain)
2010-04-25 12:38 EDT, mathdabomb
no flags Details

  None (edit)
Description mathdabomb 2010-04-25 12:37:57 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gwibber
component: gwibber
executable: /usr/bin/gwibber
kernel: 2.6.32.11-99.fc12.x86_64
package: gwibber-1:2.29.92.1-1.fc12
reason: client.py:310:on_search:AttributeError: 'MultiStreamUi' object has no attribute 'search_box'
release: Fedora release 12 (Constantine)

backtrace
-----
client.py:310:on_search:AttributeError: 'MultiStreamUi' object has no attribute 'search_box'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gwibber/client.py", line 310, in on_search
    self.stream_view.search_box.focus()
AttributeError: 'MultiStreamUi' object has no attribute 'search_box'

Local variables in innermost frame:
self: <GwibberClient object at 0x2227870 (GtkWindow at 0x1f8fd00)>
args: (<gtk.Action object at 0x3c6d2d0 (GtkAction at 0x1fb43b0)>,)

How to reproduce
-----
1.start gwibber
2.
3.
Comment 1 mathdabomb 2010-04-25 12:38:00 EDT
Created attachment 408979 [details]
File: backtrace
Comment 2 Tom "spot" Callaway 2010-04-26 09:15:25 EDT
You just started gwibber and it crashed immediately?
Comment 3 Tom "spot" Callaway 2010-04-26 09:45:26 EDT
Please try updating to the latest gwibber package in updates-testing, and let me know if it still crashes on startup.
Comment 4 Fedora Update System 2010-07-26 15:21:54 EDT
gwibber-2.31.2-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12
Comment 5 Fedora Update System 2010-07-26 15:29:39 EDT
gwibber-2.31.2-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13
Comment 6 Fedora Update System 2010-07-26 22:25:55 EDT
gwibber-2.31.2-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13
Comment 7 Fedora Update System 2010-07-26 22:30:50 EDT
gwibber-2.31.2-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12
Comment 8 Fedora Update System 2010-08-09 16:26:41 EDT
gwibber-2.31.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12
Comment 9 Fedora Update System 2010-08-09 16:31:34 EDT
gwibber-2.31.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13
Comment 10 Fedora Update System 2010-08-10 17:28:35 EDT
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12
Comment 11 Fedora Update System 2010-08-10 17:34:03 EDT
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13
Comment 12 Fedora Update System 2010-08-19 21:51:07 EDT
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-08-19 22:05:42 EDT
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.